program simclient;

{ Simple client program }

uses
   sockets, inetaux, myerror;

const
   RemoteAddress = '127.0.0.1';
   RemotePort : Word = $AFFE;

var
   Sock : LongInt;
   sAddr : TInetSockAddr;
   sin, sout : Text;
   Line : String;

begin
   Sock := Socket(af_inet, sock_stream, 0);
   if Sock = -1 then SockError('Socket: ');
   
   with sAddr do
   begin
      Family := af_inet;
      Port := htons(RemotePort);
      Addr := StrToAddr(RemoteAddress);
   end;

   if not Connect(Sock, sAddr, sizeof(sAddr)) then SockError('Connect: ');
   Sock2Text(Sock, sin, sout);
   Reset(sin);
   Rewrite(sout);
   
   Writeln('Connected.');
   Readln(sin, Line);
   Writeln(Line);
   repeat
      Write('> ');
      Readln(Line);
      Writeln(sout, Line);
      if Line <> 'close' then
      begin
         Readln(sin, Line);
         Writeln(Line);
      end;
   until Line = 'close';
   
   Close(sin);
   Close(sout);
   Shutdown(Sock, 2);
end.
